// 分页
const pagination = {
  data() {
    return {
      size: 10,
      page: 1,
      total: 0,
      pageSizes: [5, 10, 15, 20, 25]
    };
  },
  methods: {
    async handleSizeChange(pageSize) {
      this.size = pageSize;
      this.page = 1;
      await this.handleList();
    },
    async handleCurrentChange(currentPage) {
      this.page = currentPage;
      await this.handleList();
    }
  }
};

export default pagination;
